org.apache.maven.toolchain

## Interface Toolchain

- All Known Subinterfaces:
    JavaToolChain, ToolchainPrivate
  All Known Implementing Classes:
    DefaultJavaToolChain, DefaultToolchain

      public interface Toolchain

  Author:
    Milos Kleint, Jason van Zyl

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `findTool(java.lang.String toolName)` Gets the platform tool executable.
    `java.lang.String` | `getType()`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### findTool

          java.lang.String findTool(java.lang.String toolName)

      Gets the platform tool executable.
      Parameters:
        `toolName` - the tool platform independent tool name.
      Returns:
        file representing the tool executable, or null if the tool can not be found